# $Revision: 1.17 $, $Date: 2011/09/12 15:21:24 $
#
# Conditional build:
%bcond_with 	tests	# perform "make check" (fails randomly)
#
Summary:	libunwind - a (mostly) platform-independent unwind API
Summary(pl.UTF-8):	libunwind - (prawie) niezależne od platformy API do rozwijania
Name:		libunwind
Version:	1.0.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/libunwind/%{name}-%{version}.tar.gz
# Source0-md5:	993e47cca7315e22239c3e0d987e94e0
Patch0:		%{name}-rpath.patch
Patch1:		%{name}-generic.patch
URL:		http://www.nongnu.org/libunwind/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
%ifarch %{x8664}
BuildRequires:	binutils >= 2:2.15.94.0.2.2
%endif
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.213
ExclusiveArch:	%{ix86} %{x8664} arm hppa ia64 mips ppc ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# some setjmp tricks expect non-redirected functions
%define		filterout_cpp	-D_FORTIFY_SOURCE=[0-9]+

# x86/x86_64/hppa/ia64
%ifarch	%{ix86}
%define	asuf	x86
%else
%ifarch	%{x8664}
%define	asuf	x86_64
%else
%define	asuf	%{_target_cpu}
%endif
%endif

%description
The goal of the libunwind project is to define a portable and
efficient C programming interface (API) to determine the call-chain
of a program.
 
%description -l pl.UTF-8
Celem projektu libunwind jest zdefiniowanie przenośnego i wydajnego
API w języku C do określania łańcucha wywołań w programie.

%package devel
Summary:	Header files for libunwind library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libunwind
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libunwind library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libunwind.

%package static
Summary:	Static libunwind library
Summary(pl.UTF-8):	Statyczna biblioteka libunwind
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libunwind library.

%description static -l pl.UTF-8
Statyczna biblioteka libunwind.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# what needs additional -fPIC? libtool already uses it for shared objects
%configure \
	CFLAGS="%{rpmcflags} -fPIC"
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libunwind.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind.so.8
%attr(755,root,root) %{_libdir}/libunwind-setjmp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind-setjmp.so.0
%attr(755,root,root) %{_libdir}/libunwind-%{asuf}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunwind-%{asuf}.so.8

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libunwind.so
%attr(755,root,root) %{_libdir}/libunwind-generic.so
%attr(755,root,root) %{_libdir}/libunwind-setjmp.so
%attr(755,root,root) %{_libdir}/libunwind-%{asuf}.so
%{_libdir}/libunwind.la
%{_libdir}/libunwind-setjmp.la
%{_libdir}/libunwind-%{asuf}.la
# static-only
%{_libdir}/libunwind-ptrace.a
%{_includedir}/libunwind*.h
%{_includedir}/unwind.h
%{_mandir}/man3/_U_dyn_*.3*
%{_mandir}/man3/libunwind*.3*
%{_mandir}/man3/unw_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libunwind.a
%{_libdir}/libunwind-generic.a
%{_libdir}/libunwind-setjmp.a
%{_libdir}/libunwind-%{asuf}.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libunwind.spec,v $
Revision 1.17  2011/09/12 15:21:24  qboosh
- updated to 1.0.1 (note: new sonames)

Revision 1.16  2011/09/11 08:00:44  qboosh
- updated to 1.0
- dropped outdated disable-setjmp patch, added workaround for tricks vs glibc redirections
- added generic patch to fix libunwind-generic.so symlink creation
- more archs supported (arm mips ppc)

Revision 1.15  2010/09/15 18:37:34  arekm
- rel 2; rebuild with fPIC

Revision 1.14  2010/08/31 13:43:12  cactus
- rel 2; add disable setjmp patch - incompatible with gcc

Revision 1.13  2009/07/25 21:43:33  arekm
- up to 0.99

Revision 1.12  2008/08/19 18:13:44  qboosh
- ghost soname symlinks
- static-onlu libunwind-ptrace.a moved to -devel

Revision 1.11  2008/08/11 21:35:20  lkrotowski
- up to 0.98.6
- autotools
- removed merged to mainline patch

Revision 1.10  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.8  2006/02/26 11:58:52  pluto
- gcc4 fix.

Revision 1.7  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.6  2005/04/23 17:02:23  qboosh
- updated to 0.98.5 (bugfixes)

Revision 1.5  2005/02/26 02:14:28  qboosh
- dropped amd64 hack - BR fixed binutils

Revision 1.4  2005/02/26 01:47:05  qboosh
- updated to 0.98.4

Revision 1.3  2004/12/04 03:26:05  qboosh
- don't use protected as workaround for binutils bug on amd64; release 2

Revision 1.2  2004/11/28 00:20:06  qboosh
- EA: x86 amd64 hppa ia64

Revision 1.1  2004/11/27 19:07:05  qboosh
- new
